/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "mobile.hh"



/* *** Operators *** */


Mobile& Mobile::operator=(const Mobile &m)
{
  if (this == &m)
    return *this ;

  this->WifiDevice::operator=(m) ;

  return *this ;
}


bool Mobile::operator==(const Mobile &m) const
{
  if (this == &m)
    return true ;

  return
    this->WifiDevice::operator==(m) ;
}



std::ostream &operator<<(std::ostream &os, const Mobile &m)
{
  os << (WifiDevice) m ;

  return os ;
}
