/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "cartographyalgorithm.hh"



Result CartographyAlgorithm::compute(const Request &request)
{
  Point3D position(select_point(request)) ;
  return Result(&request, name, position) ;
}
