/*
 * This file is part of the Owl Positioning System (OwlPS).
 * OwlPS is a project of the University of Franche-Comté
 * (Université de Franche-Comté), France.
 */


#include "outputcsv.hh"
#include "resultlist.hh"



void OutputCSV::write(const Result &result)
{
  file.write_text(result.to_csv() + '\n') ;
}


void OutputCSV::write(const ResultList &results)
{
  if (! results.empty())
    file.write_text(results.to_csv() + '\n') ;
}
